Name:           libtomoe-gtk
Version:        0.5.1
Release:        2%{?dist}
Summary:        Gtk library for tomoe Japanese handwritten input

Group:          System Environment/Libraries
License:        LGPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tomoe >= %{version}
BuildRequires:  tomoe-devel, gtk2-devel, gucharmap-devel, libgnomeui-devel
BuildRequires:  gettext

%description
Gtk library for tomoe Japanese handwritten input.
This package is used by scim-tomoe, or uim-tomoe.


%package devel
Summary:    Gtk library for tomoe Japanese handwritten input
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   gtk2-devel, libgnomeui-devel, gucharmap-devel, tomoe-devel


%description devel
The libtomoe-devel package includes the header files for the libtomoe-gtk.
Install this if you want to develop programs which will use libtomoe-gtk.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig



%post devel -p /sbin/ldconfig


%postun devel -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/libtomoe-gtk.so.*
%dir %{_datadir}/libtomoe-gtk
%{_datadir}/libtomoe-gtk/*


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libtomoe-gtk.pc
%{_libdir}/libtomoe-gtk.so
%{_includedir}/tomoe/*
%dir %{_datadir}/gtk-doc/html/libtomoe-gtk
%{_datadir}/gtk-doc/html/libtomoe-gtk/*


%changelog
* Thu Apr 12 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- rebuild for libgucharmap.so.6

* Thu Feb 15 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1
- add some more doc files

* Sun Jan 21 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- fix the building dependencies.

* Thu Jan 19 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-7
- mass rebuilding.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-7
- mass rebuilding.

* Wed Jul 26 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-6
- add a buildreq of gettext.

* Tue Feb 28 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-5
- add "ldconfig" for the devel subpackage (Thanks, John Mahowald)

* Fri Jan 27 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-4
- modify "ldconfig" in the "post" section (Thanks, John Mahowald)

* Fri Dec 30 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-3
- a bit more cleanup

* Fri Dec 23 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-2
- add gtk2-devel in the build requirements (Thanks, John Mahowald)

* Wed Dec 3 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-1
- initial packaging for fedora extras
